Subject: Re: [netlmm] #127: Change Section 2.3 to refer to prefixes as wellasaddresses

From: Andy Huang <[email-masked]>
Date: Fri, 01 Sep 2006 14:27:37 +0800

hi,  James, Templin:

There is such requirement of using MN as router or proxy to help some 
devices such as laptop to connect Internet in the current mobile network 
deployment. However, we should consider how to realize the function in the 
NetLMM architecture much more carefully.  If MN can get a prefix from LMA 
and use the prefix on the internal link(just like mobile router's ingress 
interface), from the perspective of LMA, the prefix is extended from the 
link between LMA and MAG (or MN) to the link between MN and laptop. It will 
have a strong impact on the IP architecture. And  LMA and/or MAG have to do 
some extra work to provide this function.

(P1/P2)                                                      internal link
LMA----------MAG------------MN------------------laptop
                               RA(P1)          |       RA(P2)
                          ----------->        |------------------>
                                                     |

----- Original Message ----- 
From: "James Kempf" <[email-masked]>
To: "Templin, Fred L" <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Thursday, August 31, 2006 4:28 AM
Subject: Re: [netlmm] #127: Change Section 2.3 to refer to prefixes as 
wellasaddresses

> This seems like a very restricted case to me.
>
> What do other people in the WG think? Is this something that we really 
> need in this document?
>
>            jak
>
> ----- Original Message ----- 
> From: "Templin, Fred L" <[email-masked]>
> To: "James Kempf" <[email-masked]>; <[email-masked]>; 
> <[email-masked]>
> Sent: Tuesday, August 29, 2006 4:57 PM
> Subject: RE: [netlmm] #127: Change Section 2.3 to refer to prefixes as 
> well asaddresses
>
>
> James,
>
>>> There is no requirement that a MN that receives delegated prefixes
>>> behave as a router on behalf of those prefixes, e.g., the MN could
>>> be a simple node that may become a router at some future time.
>>> Example behavior is for the MN to assign delegated prefixes to a
>>> loopback interface or to not assign them to an interface at all.
>>
>> jak>> There is an ongoing discussion on the IPv6 list about this, and
> it is
>> not at all clear to me that your viewpoint is accepted. Until it is, I
> would
>> prefer to err on the side of being conservative. Like I said in the
> note, we
>> can always revisit this issue when we recharter.
>
> Going back over that discussion, it seems that the point
> not yet agreed is whether a MN requesting a prefix delegation
> could be a simple host and not a router. However, there is
> documented evidence for a "simple router" (with a single
> physical interface) that assigns delegated prefixes to a
> loopback interface and leaves the physical interface
> unnumbered; see:
>
> http://www.ietf.org/internet-drafts/draft-thaler-autoconf-multisubnet-ma
> nets-00.txt
>
> In other words, the extent to which the MN is a "router"
> is that it has two interfaces (the loopback interface and
> the physical interface) and forwards packets between the
> two interfaces; otherwise, its behavior is the same as
> for a normal host.
>
> Fred
> [email-masked]
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "James Kempf" <[email-masked]>
Date: Tue, 5 Sep 2006 10:20:36 -0700

Andy,

I have no objection to this from a technical standpoint, it is just the 
timing that I think is problematic. When we originally chartered the WG, we 
agreed that we would restrict mobile routing to cases where NEMO is used. I 
think therefore that it would be a better idea to wait until the WG has 
finished the base version of NETLMM protocol, then look at the issues 
involving prefix delegation and mobile routing. At that time, the WG can 
take contributions on prefix delegation and how that might work in a NETLMM 
domain.

Note that the decision to assign a prefix per mobile node-LMA link does not 
change the NEMO decision, since these prefixes cannot be further delegated 
for routing downstream of the mobile node.

Does this sound OK?

            jak

----- Original Message ----- 
From: "Andy Huang" <[email-masked]>
To: "James Kempf" <[email-masked]>; "Templin, Fred L" 
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Thursday, August 31, 2006 11:27 PM
Subject: Re: [netlmm] #127: Change Section 2.3 to refer to prefixes as 
wellasaddresses

> link between LMA and MAG (or MN) to the link between MN and laptop. It 
> will have a strong impact on the IP architecture. And  LMA and/or MAG have 
> to do some extra work to provide this function.
>
> (P1/P2)                                                      internal link

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 5 Sep 2006 11:06:11 -0700

James,

I have already presented evidence for the case of a "simple router"
that would benefit from prefix delegation:

http://www1.ietf.org/mail-archive/web/netlmm/current/msg00640.html

You called the question: "Is this something that we really need in
this document?" but I think the more correct question is: "Given
the evidence for a simple router, is this something that we can
legitimately leave out?".

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Tuesday, September 05, 2006 10:21 AM
To: Andy Huang; Templin, Fred L; [email-masked]; [email-masked]
Subject: Re: [netlmm] #127: Change Section 2.3 to refer to prefixes as
wellasaddresses

Andy,

I have no objection to this from a technical standpoint, it is just the 
timing that I think is problematic. When we originally chartered the WG,
we 
agreed that we would restrict mobile routing to cases where NEMO is
used. I 
think therefore that it would be a better idea to wait until the WG has 
finished the base version of NETLMM protocol, then look at the issues 
involving prefix delegation and mobile routing. At that time, the WG can

take contributions on prefix delegation and how that might work in a
NETLMM 
domain.

Note that the decision to assign a prefix per mobile node-LMA link does
not 
change the NEMO decision, since these prefixes cannot be further
delegated 
for routing downstream of the mobile node.

Does this sound OK?

            jak

----- Original Message ----- 
From: "Andy Huang" <[email-masked]>
To: "James Kempf" <[email-masked]>; "Templin, Fred L" 

> (P1/P2)                                                      internal
link

---

From: Andy Huang <[email-masked]>
Date: Wed, 06 Sep 2006 16:47:00 +0800

James,

Yes, we can consider these issues later.

Regarding a prefix per mobile node-LMA link, I think maybe there is such a 
requirement that MN is used as a proxy to connect the internet. In the case 
of this requirement, perhaps we can allow MN to use this prefix on the 
downstream link. After all, MN is not a router, it seems me that prefix 
delegation and prefix advertisement  are more complicated for a simple node. 
Anyway,  we can discuss this problem after the basic NetLMM protocol.

----- Original Message ----- 
From: "James Kempf" <[email-masked]>
To: "Andy Huang" <[email-masked]>; "Templin, Fred L" 
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, September 06, 2006 1:20 AM
Subject: Re: [netlmm] #127: Change Section 2.3 to refer to prefixes as 
wellasaddresses

> we agreed that we would restrict mobile routing to cases where NEMO is 
> used. I think therefore that it would be a better idea to wait until the 
> WG has finished the base version of NETLMM protocol, then look at the 
> issues involving prefix delegation and mobile routing. At that time, the 
> WG can take contributions on prefix delegation and how that might work in 
> a NETLMM domain.
>
> not change the NEMO decision, since these prefixes cannot be further 
> delegated for routing downstream of the mobile node.
>
> Does this sound OK?
>
>            jak
>
>> deployment. However, we should consider how to realize the function in 
>> the NetLMM architecture much more carefully.  If MN can get a prefix from 
>> LMA and use the prefix on the internal link(just like mobile router's 
>> ingress interface), from the perspective of LMA, the prefix is extended 
>> from the link between LMA and MAG (or MN) to the link between MN and 
>> laptop. It will have a strong impact on the IP architecture. And  LMA 
>> and/or MAG have to do some extra work to provide this function.
>>
>> (P1/P2)                                                      internal 
>> link